--- title: "Compare policy configurations" slug: "compare-policy-configurations" tags: ["Reference"] updated: 2026-09-03T18:40:47Z published: 2026-09-03T18:40:47Z canonical: "docs.trellix.com/compare-policy-configurations" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Compare policy configurations ### Description Differentiate between a given appliance's IPS policy configurations on the fly with a target group. Note that no state will be persisted in the back-end after the API call. - `src_id (required)` appliance does not need to belong to the target group. The IPS configuration will be fetched from the source appliance directly if it is not in the cache. Note that the src_id ips configuration will be discarded after the API call if it's fetched directly from source appliance. - `dst_group (required)` the target group to compare the src_appl IPS configuration with. Note that the API will not perform differentiations on IPS configurations of target appliances that have not been cached locally in CMS. ### Curl sample `curl -v -H 'Content-Type: application/json''https://<cmshost>/wsapis/v2.0.0/proxy/ipsgroup/diff?src_id=nx2&dst_group=sysgroup.Web_MPS'` ### Method `GET` ### Response ``` {  "buckets": {    "4789ac8fdd1c546372dfddcbb9ebef518b1ec6d791185059aa35cf4725ec18cb": {      "65HA-1-148": {        "appliance": "65HA-1-148",        "appliance_id": "002590867E62",        "content_version": "1.0",        "fetch_time": 1580366154.3635938,        "fetch_time_iso": "2020-01-30T06:35:54.363594+00:00",        "hash": "4789ac8fdd1c546372dfddcbb9ebef518b1ec6d791185059aa35cf4725ec18cb",        "last_updated_time": 1580366154.3635938,        "last_updated_time_iso": "2020-01-30T06:35:54.363594+00:00",        "match_detail": {          "details": "Security content versions mismatching",          "match": true,          "message": "IPS configurations matching"        },        "nxha_name": "6500-HA",        "nxha_peer": "65HA-2-150",        "out_of_sync": false,        "product_type_lc": "wmps",        "reason": "",        "software_version": "9.0.0",        "status": "success"      }    },    "a4aa440fc72b7939653889710e2f47f56a8c005466c63c8b531f81b8f605df8e": {      "65HA-2-150": {        "appliance": "65HA-2-150",        "appliance_id": "0025908517FC",        "content_version": "1.0",        "fetch_time": 1580366153.183817,        "fetch_time_iso": "2020-01-30T06:35:53.183817+00:00",        "hash": "a4aa440fc72b7939653889710e2f47f56a8c005466c63c8b531f81b8f605df8e",        "last_updated_time": 1580366153.183817,        "last_updated_time_iso": "2020-01-30T06:35:53.183817+00:00",        "match_detail": {          "details": "Configuration of custom rules are different",          "match": false,          "message": "Custom rules mismatch"        },        "nxha_name": "6500-HA",        "nxha_peer": "65HA-1-148",        "out_of_sync": true,        "product_type_lc": "wmps",        "reason": "",        "software_version": "9.0.0",        "status": "success"      }    }  },  "group": "sysgroup.Web_MPS",  "last_insync_time": 0.0,  "last_insync_time_iso": "1970-01-01T00:00:00+00:00",  "match_time": 1580366163.9055443,  "match_time_iso": "2020-01-30T06:36:03.905544+00:00",  "out_of_sync": true,  "ref_hash": "4789ac8fdd1c546372dfddcbb9ebef518b1ec6d791185059aa35cf4725ec18cb" } ``` ### Response code - 200 - 400 - 404 - 503 :